Page MenuHomePhabricator

Special:SearchTranslations: search in source language, results in my language
Closed, ResolvedPublic

Description

In order to maintain coherency of translations between messages,
As a translator,
I want to search something in source language (e.g. edit)
And I want to see result messages in my language if translation exists (e.g. Muokkaa...)
And I want to also see messages without translation in my language yet (e.g.)
And I want to be able to add and edit the translations (as in Special:Translate when I search "edit" with the search bar)


Version: master
Severity: enhancement

Details

Reference
bz53656

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz53656.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis updated the task description. (Show Details)Mar 5 2015, 7:30 PM
Nemo_bis set Security to None.
Nemo_bis updated the task description. (Show Details)Mar 13 2015, 7:05 AM
Nemo_bis added a subscriber: AYUSH.

AYUSH, I added some more examples as you requested.

Change 197033 had a related patch set uploaded (by AYUSH GARG):
SearchTranslations: search in source language, results in my language

https://gerrit.wikimedia.org/r/197033

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 8:02 PM
Nemo_bis closed this task as Resolved.Aug 17 2015, 8:50 AM
Nemo_bis claimed this task.

Phoenix303 fixed it!

The feature is shown at http://translation-search.wmflabs.org/wiki/Special:SearchTranslations after you search something, e.g. http://translation-search.wmflabs.org/w/index.php?title=Special%3ASearchTranslations&query=edit
Mind the ellipsis if you are not seeing some of the options.

It was merged, so I suppose it will be visible at https://translatewiki.net/w/i.php?title=Special%3ASearchTranslations&query=edit in due course as well. For Wikimedia wikis maybe a reindex is needed, I don't remember.

Nemo_bis reassigned this task from Nemo_bis to Phoenix303.Aug 17 2015, 8:50 AM

Change 197033 abandoned by Nikerabbit:
SearchTranslations: search in source language, results in my language

https://gerrit.wikimedia.org/r/197033

Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM